Subject: ** Garden Catalog List on 'Net **

From: Shellie Welch <[email-masked]>
Date: 26 Jan 96 09:52:04 EST

A fellow gardener found this link and passed it on.  It is a very 
lengthy list of catylogs, with addresses, phone ##s, etc.  Also, the 
"owner" has included his experiences with the ones he has dealt with and 
has an open invitation for others to add their comments.  Have fun!

http://seidel.ncsa.uiuc.edu/PBM-FAQ/list/